curl --request POST \
--url https://api-dev.rain.xyz/v1/issuing/companies/{companyId}/users \
--header 'Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"birthDate": "2023-12-25",
"walletAddress": "<string>",
"solanaAddress": "<string>",
"phoneCountryCode": "<string>",
"phoneNumber": "<string>",
"externalId": "<string>"
}
'import requests
url = "https://api-dev.rain.xyz/v1/issuing/companies/{companyId}/users"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"birthDate": "2023-12-25",
"walletAddress": "<string>",
"solanaAddress": "<string>",
"phoneCountryCode": "<string>",
"phoneNumber": "<string>",
"externalId": "<string>"
}
headers = {
"Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
email: '<string>',
birthDate: '2023-12-25',
walletAddress: '<string>',
solanaAddress: '<string>',
phoneCountryCode: '<string>',
phoneNumber: '<string>',
externalId: '<string>'
})
};
fetch('https://api-dev.rain.xyz/v1/issuing/companies/{companyId}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"isActive": true,
"applicationStatus": "approved",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalId": "<string>",
"sourceKey": "<string>",
"address": {
"line1": "<string>",
"city": "<string>",
"region": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"line2": "<string>",
"country": "<string>"
},
"phoneCountryCode": "1",
"phoneNumber": "5555555555",
"walletAddress": "<string>",
"solanaAddress": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"applicationExternalVerificationLink": {
"url": "<string>",
"params": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"applicationCompletionLink": {
"url": "<string>",
"params": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"applicationReason": "<string>"
}Create a user in a company
Authorizations
Path Parameters
Id of the company to create a user for
Body
The user to create
The user's first name
50The user's last name
50The user's email address
The user's birth date
This user's wallet address
^0x[0-9a-fA-F]{40}$This user's solana address
^[1-9A-HJ-NP-Za-km-z]{32,44}$The user's physical address
Show child attributes
Show child attributes
The user's phone country code
The user's phone number
An optional tenant-defined identifier for this user. Must be unique within the tenant.
1 - 255Response
Successful operation
The user's unique identifier
The user's first name
50The user's last name
50The user's email address
Whether the user is active
approved, pending, needsInformation, needsVerification, manualReview, denied, locked, canceled The id of the company that the user belongs to, if any
An optional tenant-defined identifier for this user. Must be unique within the tenant.
1 - 255The source key associated with the user's team
1 - 24The user's physical address
Show child attributes
Show child attributes
The user's phone country code
1 - 3^[0-9]+$"1"
The user's phone number
1 - 15^[0-9]+$"5555555555"
The user's EVM wallet address
The user's Solana wallet address
^[1-9A-HJ-NP-Za-km-z]{32,44}$When the user was created
When the user was last updated
The link to the external verification page for the application
Show child attributes
Show child attributes
The link to the completion page for the application
Show child attributes
Show child attributes
The reason for the application status